mptcpd_netlink_pm Struct Reference

`#include <netlink_pm.h>`

Collaboration diagram for mptcpd_netlink_pm:
[legend]

## Public Attributes

char const *const | name
| MPTCP generic netlink family name.
char const *const | group
| MPTCP generic netlink multicast group.
struct mptcpd_pm_cmd_ops const *const | cmd_ops
| MPTCP path management generic netlink command functions.
struct mptcpd_kpm_cmd_ops const *const | kcmd_ops
| In-kernel MPTCP path management generic netlink command functions. More...

## Detailed Description

Kernel-specific MPTCP generic netlink path manager characteristics.

## Member Data Documentation

## kcmd_ops

struct mptcpd_kpm_cmd_ops const* const mptcpd_netlink_pm::kcmd_ops

In-kernel MPTCP path management generic netlink command functions.

Generic netlink command functions specific to the in-kernel path manager.

The documentation for this struct was generated from the following file:

- include/mptcpd/private/netlink_pm.h